import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
public class MovingRect extends JPanel implements ActionListener {
    private Timer t = new Timer(50, this);
    private int xPos = 0;
    public MovingRect() {
        setBackground(Color.WHITE);
        t.restart();
    }//konstruktor

   public void paintComponent(Graphics pen) {
        super.paintComponent(pen);
        pen.setColor(Color.BLUE);
        int w = 30;
        int h = 20;
        int x = getWidth() - xPos;
        int y = (getHeight() -h) / 2;
        pen.fillRect(x,y,w,h);
        xPos = (xPos + 1) % (getWidth() + w);
    }//paintComponent

    public void actionPerformed(ActionEvent e) {
        repaint();
    }//actionPerformed

    public static void main(String[] arg) {
        JFrame w = new JFrame();
        MovingRect m = new MovingRect();
        w.add(m);
        w.setSize(400,100);
        w.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        w.setVisible(true);
    }//main
}//MovingRect
