import java.io.File;
import java.io.FileNotFoundException;
import java.util.InputMismatchException;
import java.util.Scanner;
public class ReadFromTextFile3 {
     public static void main(String[] args) {
         Scanner sc = new Scanner(System.in);
         boolean done = false;
         while (!done) {
            System.out.print("Give filename: ");
            String fileName = sc.next();
            try {
                System.out.println("The sum is: " + sumValuesInFile(fileName));
                done = true;
            } catch (FileNotFoundException e) {
                System.out.println("File don't exist!");
            } catch (InputMismatchException e) {
                System.out.println("Wrong data in file!");
            }
         }
     }//main
     
    private static int sumValuesInFile(String fileName) throws FileNotFoundException {
	File in = new File(fileName);
         Scanner sc = new Scanner(in); 
     	int sum = 0;
	while (sc.hasNext()) {
	    sum = sum + sc.nextInt();
	}
	return sum;
     }//sumValuesInFile
}//ReadFromTextFile3
